On Tue, Dec 26, 2017 at 05:26:07PM +0100, Nagy Attila wrote:
> Package: sweethome3d
> Version: 5.6+dfsg-1
> Severity: important
> Tags: patch
> 
> After installing the latest version (5.6+dfsg-1 from buster) of Sweethome3D on
> my laptop (Lenovo X201) I came across the problem that I could not start the
> program.
> ---> (to cut short the explanation there is a worksforme solution at the end)
(snip)
> ---------------
> 
> As it turned out the main point is:
> java.lang.IllegalArgumentException Width (0) and height (0) must be non-zero
> occurred while creating cursor CopyDrop.32x32
> 
> which is a known Java bug: see 
> https://bugs.openjdk.java.net/browse/JDK-8173853
> 
> fixed in Java 8u152 and 9 (see https://bugs.launchpad.net/ubuntu/+source/xorg-
> server/+bug/1232471).
> 
> But updating Java (actually installing Oracle JVM as OpenJDK 8u152 is still
> unavailable) did not solved the problem even after changing the alternatives.
> 
> As it turned out /usr/share/sweethome3d/sweethome3d.sh contains a line:
> find_java_runtime java6
> 
> If I change this to:
> find_java_runtime
> 
> the program starts and works as expected. (the used java-wrappers script takes
> care of using the alternatives version if no specific version is given as a
> parameter).
> 
> I don't know if this change causes some problems under other circumstances or
> the java6 version limitation is needed at all but I think maybe this change
> could be included.

Yes, I am certain that the "java6" was added to prefer the java6 runtime
on systems where java5 was also installed, but now it seems to be having
an undesired effect.  So it sounds like we have a bug in the
"javahelper" package as well.

Also, thank you for the information about the cursor CopyDrop.32x32
issue.

Cheers,
tony

__
This is the maintainer address of Debian's Java team
<http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-java-maintainers>. 
Please use
debian-j...@lists.debian.org for discussions and questions.

Reply via email to